%define debug_package %{nil}

Summary: CDEmu CLI client
Name: cdemu-client
Version: 3.2.5
Release: 2%{?dist}
License: GPLv2
Group: Applications/System
URL: http://sourceforge.net/projects/cdemu
Source: http://downloads.sourceforge.net/cdemu/%{name}-%{version}.tar.xz

BuildArch: noarch

BuildRequires: cmake
BuildRequires: intltool

# With Fedora 41, the bash-completion.pc was moved into -devel subpackage.
%if 0%{?fedora} >= 41
BuildRequires: bash-completion-devel
%else
BuildRequires: bash-completion
%endif

Requires: python3
Requires: python3-gobject
Requires: desktop-file-utils

Requires: gobject-introspection

%description
cdemu-client is a command-line interface client for controlling CDEmu
devices. It is part of CDEmu, a CD/DVD-ROM device emulator for Linux.

%prep
%setup -q

%build
%cmake -DPOST_INSTALL_HOOKS=off
%cmake_build

%install
%cmake_install
%find_lang cdemu

%post
/usr/bin/update-desktop-database &> /dev/null || :

%postun
/usr/bin/update-desktop-database &> /dev/null || :

%files -f cdemu.lang
%defattr(-, root, root, -)
%doc AUTHORS COPYING README ChangeLog
%doc %_mandir/man1/*
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/bash-completion/completions/cdemu

%changelog
* Mon Oct 21 2024 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.2.5-2
- Fix packaging for Fedora 41, where build requires bash-completion-devel instead of bash-completion.

* Sun Apr 18 2021 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.2.5-1
- Updated to 3.2.5

* Fri Sep 25 2020 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.2.4-2
- Use CMake build and install macros to properly support out-of-source builds on Fedora 33

* Mon Jan  6 2020 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.2.4-1
- Updated to 3.2.4

* Tue Nov  5 2019 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.2.3-2
- Rebuild for Fedora 31

* Sat Aug 31 2019 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.2.3-1
- Updated to 3.2.3

* Tue Aug 27 2019 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.2.2-1
- Updated to 3.2.2

* Sat Mar  2 2019 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.2.1-1
- Updated to 3.2.1

* Sat Jul  7 2018 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.2.0-1
- Updated to 3.2.0
- Updated dependencies due to switch to python3
- Added dependencies that are imported via GIR

* Sat Jun 10 2017 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.1.0-1
- Updated to 3.1.0

* Tue Oct 11 2016 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.0.4-1
- Updated to 3.0.4

* Sun Oct  9 2016 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.0.3-1
- Updated to 3.0.3

* Sun Oct  9 2016 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.0.2-1
- Updated to 3.0.2

* Sat Apr 23 2016 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.0.1-5
- Fixed rpmlint errors and warnings
- Added desktop-file-utils dependency
- Moved bash completion script to /usr/share/bash-completion/completions

* Thu Apr 21 2016 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.0.1-4
- Added python2-devel as build dependency, to satisfy CMake check
- Use noarch

* Thu Apr 21 2016 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.0.1-3
- Changed python dependency to python2

* Sat Nov 21 2015 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.0.1-2
- Added dbus-python dependency

* Sat Nov 21 2015 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.0.1-1
- Updated to 3.0.1

* Sun Jun 29 2014 Rok Mandeljc <rok.mandeljc@gmail.com> - 3.0.0-1
- Updated to 3.0.0

* Thu Sep 19 2013 Rok Mandeljc <rok.mandeljc@gmail.com> - 2.1.1-1
- Updated to 2.1.1

* Fri Jun  7 2013 Rok Mandeljc <rok.mandeljc@gmail.com> - 2.1.0-1
- Updated to 2.1.0

* Mon Dec 24 2012 Rok Mandeljc <rok.mandeljc@gmail.com> - 2.0.0-1
- RPM release for new version
